/*****************************************************************************
  Copyright  1998 - 2003 by Martin Cook. All rights are reserved. If you like 
  this code then feel free to go ahead and use it. The only thing I ask is 
  that you don't remove or alter my copyright notice. Your use of this 
  software is entirely at your own risk. I make no claims or warrantees about 
  the reliability or fitness of this code for any particular purpose. If you 
  make changes or additions to this code please mark your code as being 
  yours. If you have questions or comments then please contact me at: 
  martinc@outdrs.net
  
  Have Fun! :o)
*****************************************************************************/

#include "stdafx.h"
#include "StatusBarDemo.h"
#include "DemoView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif // _DEBUG

// ***************************************************************************
// CDemoView maps and macros.
// ***************************************************************************

BEGIN_MESSAGE_MAP(CDemoView,CWnd )
	//{{AFX_MSG_MAP(CDemoView)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// ***************************************************************************
// CDemoView implementation.
// ***************************************************************************

CDemoView::CDemoView( void )
{
	ASSERT_VALID( this );
} // End CDemoView()

// ***************************************************************************

CDemoView::~CDemoView( void )
{
	ASSERT_VALID( this );
} // End ~CDemoView()

// ***************************************************************************

BOOL CDemoView::PreCreateWindow( CREATESTRUCT& cs ) 
{
	
	ASSERT_VALID( this );

	if ( FALSE == CWnd::PreCreateWindow( cs ) )
		return FALSE;

	cs.dwExStyle |= WS_EX_CLIENTEDGE;
	cs.style &= ~WS_BORDER;
	cs.lpszClass = AfxRegisterWndClass( CS_HREDRAW | CS_VREDRAW | 
		CS_DBLCLKS, ::LoadCursor( NULL, IDC_ARROW ), 
		HBRUSH( COLOR_WINDOW + 1 ), NULL );

	return TRUE;

} // End PreCreateWindow()

// ***************************************************************************

void CDemoView::OnPaint( void ) 
{
	
	ASSERT_VALID( this );

	CPaintDC dc( this );

} // End OnPaint()

// ********************************* EOF *************************************
