/*****************************************************************************
  Copyright  1998 - 2003 by Martin Cook. All rights are reserved. If you like 
  this code then feel free to go ahead and use it. The only thing I ask is 
  that you don't remove or alter my copyright notice. Your use of this 
  software is entirely at your own risk. I make no claims or warrantees about 
  the reliability or fitness of this code for any particular purpose. If you 
  make changes or additions to this code please mark your code as being 
  yours. If you have questions or comments then please contact me at: 
  martinc@outdrs.net
  
  Have Fun! :o)
*****************************************************************************/

#if !defined(AFX_DEMOFRAME_H__81A26BAC_CBE5_47a3_A907_478E8F333AA3__INCLUDED_)
#define AFX_DEMOFRAME_H__81A26BAC_CBE5_47a3_A907_478E8F333AA3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DemoView.h"
#include "DemoStatusBar.h"

// ***************************************************************************
// CDemoFrame definition.
// ***************************************************************************

class CDemoFrame : public CFrameWnd
{
public:

	DECLARE_DYNAMIC(CDemoFrame)

	CDemoFrame( void );
	virtual ~CDemoFrame( void );

	//{{AFX_VIRTUAL(CDemoFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

protected:

	CDemoStatusBar	m_wndStatusBar;
	CDemoView		m_wndView;

	//{{AFX_MSG(CDemoFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSetFocus(CWnd *pOldWnd);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

// ***************************************************************************

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

// ***************************************************************************

#endif // !defined(AFX_DEMOFRAME_H__81A26BAC_CBE5_47a3_A907_478E8F333AA3__INCLUDED_)

// ********************************* EOF *************************************

