/*****************************************************************************
  Copyright  1998 - 2003 by Martin Cook. All rights are reserved. If you like 
  this code then feel free to go ahead and use it. The only thing I ask is 
  that you don't remove or alter my copyright notice. Your use of this 
  software is entirely at your own risk. I make no claims or warrantees about 
  the reliability or fitness of this code for any particular purpose. If you 
  make changes or additions to this code please mark your code as being 
  yours. If you have questions or comments then please contact me at: 
  martinc@outdrs.net
  
  Have Fun! :o)
*****************************************************************************/

#if !defined(AFX_STATUSBAREX_H__81A26BAC_CBE5_47a3_A907_478E8F333AA3__INCLUDED_)
#define AFX_STATUSBAREX_H__81A26BAC_CBE5_47a3_A907_478E8F333AA3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CStatusBarChildWnd;	// forward reference (see StatusBarEx.cpp)

#include <afxtempl.h>

// ***************************************************************************
// CStatusBarEx definition.
// ***************************************************************************

class CStatusBarEx : public CStatusBar
{
public:

	CStatusBarEx( void );
	virtual ~CStatusBarEx( void );

	BOOL AddChildWindow( LPCTSTR lpszClass, UINT nID, int nWidth,
		DWORD dwStyle = 0 );
	
	BOOL RemoveChildWindow( UINT nID );

	CWnd* GetChildWindow( UINT nID ) const;

	//{{AFX_VIRTUAL(CStatusBarEx)
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CStatusBarEx)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

	CMap<UINT, UINT, CStatusBarChildWnd*, CStatusBarChildWnd*> m_mapChildren;

	BOOL _RebuildPanes( void );
	BOOL _ResizeChildWindows( void );

};

// ***************************************************************************

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

// ***************************************************************************

#endif // !defined(AFX_STATUSBAREX_H__81A26BAC_CBE5_47a3_A907_478E8F333AA3__INCLUDED_)

// ********************************* EOF *************************************
